<script setup>
import Fish from "./Fish.vue";

defineProps({ fishes: {type:Array, default: []} });

</script>

<template>
  <div class="aquarium">
    <Fish v-for="f in fishes" :key="f.id" :data="f" class="aquarium--fish"/>
  </div>
</template>

<style scoped>
.aquarium {
  height: 100vh;
  width: 100%;
  position: relative;
  background-color: blue;
  background-image: url(/bg.jpg);
  background-size: cover;
  background-repeat: no-repeat;
}
.aquarium--fish {
  position: absolute;
}
</style>
